Skip to main content
GET
/
recipient
Get client recipients
curl --request GET \
  --url https://client-api.dev.finhost.io/recipient \
  --header 'Authorization: Bearer <token>'
{
  "recipients": [
    {
      "recipientKey": "recipient#1660831535",
      "transferType": "UKLT",
      "recipientType": "personal",
      "currency": "GBP",
      "created": "2022-07-06T13:42:24.094Z",
      "accountNumber": "45564658",
      "sortCode": "9485394578",
      "email": "mail@domain.com",
      "name": "Taras",
      "surname": "Bulba",
      "companyName": "Horns and hooves",
      "title": "Horns and hooves"
    }
  ],
  "count": 123,
  "nextToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.finhost.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
number

Response page size (default is equal to 10)

lastRecipientKey
string

Last recipientKey to start with the next page

companyId
string

Company id

Response

200 - application/json

200 response

recipients
object[]
required
count
number
required
nextToken
string